Map overview broken

2012-09-20 10:36 PM - Paolo Cavallini

Status: Closed

Priority: Severe/Regression

Assignee:

Category: GUI

Affected QGIS version:1.8.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 15642

Description

Map overview seems broken (tested on 15 machines, various OSs, about half not working). I suspect this has been opened already, but

cannot find it.

History

#1 - 2012-09-21 10:16 PM - Mathieu Pellerin - nIRV

For a couple of weeks now, click on the [ ] show in overview right-click menu item fails to update overview with the specified layer unless you deactivate

and reactivate the layer. Is this what you're referring to?

#2 - 2012-09-21 11:09 PM - Paolo Cavallini

- Affected QGIS version changed from master to 1.8.0

Not really: just adding a map to an overview fails to show any map in about half of the cases

#3 - 2013-06-01 10:31 AM - Giovanni Manghi

- Status changed from Open to Feedback

is the overview map fixed? it works here on master!

#4 - 2013-06-01 08:36 PM - Nyall Dawson

I've noticed one issue with the overview map in Master - if a map item is set to 'rectangle' mode then overview frames are not shown when the composer is

exported. Could this explain what you were experiencing Paolo?

#5 - 2013-06-02 01:45 AM - Giovanni Manghi

Nyall Dawson wrote:

I've noticed one issue with the overview map in Master - if a map item is set to 'rectangle' mode then overview frames are not shown when the

composer is exported. Could this explain what you were experiencing Paolo?
I don't think the issue is this. Paolo is referring to the overview is available in the QGIS main window (right click a layer -> add to overview).

#6 - 2013-06-03 03:13 AM - Paolo Cavallini

Exactly. It seems to work on current master in Debian though. Must be checked on Win.

#7 - 2013-06-06 07:57 AM - Regis Haubourg

Hi, not reproduced in osgeo4w master 5e29777..

#8 - 2013-06-06 09:01 AM - Giovanni Manghi

- Resolution set to fixed

- Status changed from Feedback to Closed
